#ifndef RFM_LIBS_H
#define RFM_LIBS_H
#include "types.h"
#include "constants.h"


# define SHOW_IT(y) if(rfm_get_widget(y)) gtk_widget_show_all(rfm_get_widget(y))
# define HIDE_IT(y) if(rfm_get_widget(y)) gtk_widget_hide(rfm_get_widget(y))


enum signal_enum_e {
    PREVIEW_MANAGER,
    ADD_TO_VIEW_LIST,
    BOOKMARK_MONITOR
};

#include "dbh.h"
#include "tubo.h"

#include "primary.h"
#include "primary-compat.h"
#include "primary-layout.h"
#include "primary-completion.h"
#include "primary-modules.h"
#include "primary-icons.h"
#include "primary-misc.h"
#include "primary-run.h"
#include "primary-uri.h"
#include "primary-entry.h"
#include "primary-uri.h"
#endif

