Summary: 	Advanced user filemanager for Linux/BSD systems	
Name: 		rodent
Version: 	4.9.2
Release: 	4
License:	GPL
URL: 		http://rodent.xffm.org/
Source0: 	%{name}-%{version}.tar.gz
Group: 		Filemanager
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	glib2 >= 2.24.0
Requires:	gtk3 >= 3.0.0
Requires:	libxml2 >= 2.4.0
Requires:	cairo >= 1.8.10

BuildRequires: 	glib2-devel >= 2.24.0
BuildRequires: 	gtk3-devel >= 3.0.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	file-devel >= 5.0
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1.11.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	intltool >= 0.41.1
BuildRequires:	libSM-devel >= 1.2
BuildRequires:	librsvg2-devel >= 2.26.0



%description
Rodent is fast, small and powerful file manager for the GNU operating system (but it also works in BSD).

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}
%{_libdir}
%{_datadir}
%{_mandir}


